/*==================================================================
  ==================================================================
  ==	XMusic -- An Interactive Interface to Csound		  ==
  ==       Copyright (C) 1988 by George D. Drapeau                ==
  ==                  All Rights Reserved                         ==
  ==================================================================
  ==================================================================
*/
/* $Log:	globals.c,v $
 * Revision 1.3  89/08/06  18:11:02  drapeau
 * As with externs.h, eliminated many unnecessary variables due to the use
 * of the X Toolkit.  See externs.h for examples.
 * Also, updated the help text to reflect the new X Toolkit interface.
 *  */

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "defs.h"

Widget		topLevelShell,workSpaceWidget,toolPalette,helpWidget;
Widget		helpTextWidget,exitWidget,inputWidget,inputDialogWidget;
Widget		infoWidget,infoListWidget,inputEnterWidget,infoCommand;
String		toolInfoList[25];
char		*toolArg1, *toolArg2, *toolArg3, *toolArg4;
char		*toolArg5, *toolArg6, *toolArg7, *toolArg8;
char		fileName[64], orchFileName[64],inputStr[MAXSTRLEN];
Display		*dpy;
GC		gc;
Window		musicWin;
MusicFontInfo	musicFontInfo;
XFontStruct	*musicFont;
Pixmap		musicPixmap,iconMap;
Pixmap		sineMap,envMap,sumMap,ampMap,paramMap,noiseMap, eqMap;
Cursor		mCursor, tCursor;
Pixel		fg,bg;
int		changesMade = 0 ,inputStrLen,infoMapped = 0;
Tool		*toolList, *lastTool;
FILE		*orchFile;
int		Argc;						    /* Globals used by XSetStandardProperties... */
char		**Argv;						    /* ...in 'xresources.c' for musicWin */

char helpLabel[] =						    /* Allocate space for the help window's text */
  "             Help for XMusic\n\
  _____________________________________________________________\n\
  Right Button : Disconnect Two Tools.\n\
  Middle Button: Move A Tool.\n\
  Left Button  :\n\
        In ToolPalette -- Select A Tool.\n\
        In Music Window -- Connect Two Tools.\n\
  _____________________________________________________________\n\
  To Connect Two Tools, first point to a tool, then click the left\n\
  button to select it.  Then point to the tool you wish to make\n\
  a connection with, and again click on the left button.\n\n\
  To Disconnect Two Tools, first point to a tool, then click the Right\n\
  button to select it.  Then point to the tool you wish to disconnect\n\
  and again click on the right button.\n\
  _____________________________________________________________\n\
  To Inspect A Tool, press the Inspect button, then click on the tool\n\
  you wish to inspect.  When you have finished, press the Inspect\n\
  button again.\n\
  To Remove A Tool, press the Remove button, then click on the tool\n\
  you wish to remove from the diagram.\n";

static XrmOptionDescRec	xmusicOptions[] = 
{
  {"-xrm",	NULL,	XrmoptionResArg,	(caddr_t)NULL}
};
